> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Status

> Create a ticket status for a team.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml post /v2/statuses
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Procedure API
  - name: Approval Request API
  - name: Assignment Rules API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Dashboards API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Forms API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: One-Time Window API
  - name: Report API
  - name: Roles API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team Group API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/statuses:
    post:
      tags:
        - Ticket API
      summary: Create Status
      description: Create a ticket status for a team.
      operationId: svrelay.publicv2.PublicAPIServiceV2.CreateStatus
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/svhelp.publicapi.CreateStatusRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/svhelp.publicapi.CreateStatusResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.CreateStatusRequest:
      type: object
      properties:
        teamId:
          type: string
          title: team_id
          x-stainless-terraform-configurability: optional
        statusGroup:
          $ref: '#/components/schemas/svhelp.models.TicketStatusGroup'
          title: status_group
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          x-stainless-terraform-configurability: optional
        description:
          type:
            - string
            - 'null'
          title: description
          x-stainless-terraform-configurability: optional
        color:
          type:
            - string
            - 'null'
          title: color
          x-stainless-terraform-configurability: optional
        isAiSelectable:
          type:
            - boolean
            - 'null'
          title: is_ai_selectable
          x-stainless-terraform-configurability: optional
        ticketType:
          oneOf:
            - $ref: '#/components/schemas/svhelp.models.TicketType'
            - type: 'null'
          title: ticket_type
          x-stainless-terraform-configurability: optional
        emoji:
          type:
            - string
            - 'null'
          title: emoji
          x-stainless-terraform-configurability: optional
        locked:
          type:
            - boolean
            - 'null'
          title: locked
          x-stainless-terraform-configurability: optional
        isDefault:
          type:
            - boolean
            - 'null'
          title: is_default
          x-stainless-terraform-configurability: optional
      title: CreateStatusRequest
      additionalProperties: false
    svhelp.publicapi.CreateStatusResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svhelp.pubapimodels.Status'
          title: data
          x-stainless-terraform-configurability: optional
      title: CreateStatusResponse
      additionalProperties: false
    svhelp.models.TicketStatusGroup:
      type: string
      title: TicketStatusGroup
      enum:
        - TICKET_STATUS_GROUP_UNSPECIFIED
        - TODO
        - IN_PROGRESS
        - DONE
        - CANCELED
    svhelp.models.TicketType:
      type: string
      title: TicketType
      enum:
        - TICKET_TYPE_UNSPECIFIED
        - TICKET_TYPE_REQUEST
        - TICKET_TYPE_TASK
        - TICKET_TYPE_MAJOR_INCIDENT
        - TICKET_TYPE_CONVERSATION
        - TICKET_TYPE_JOURNEY
        - TICKET_TYPE_INCIDENT
        - TICKET_TYPE_CHANGE
        - TICKET_TYPE_CUSTOM
        - TICKET_TYPE_PROBLEM
    svhelp.pubapimodels.Status:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the status.
          readOnly: true
          x-stainless-terraform-configurability: computed
        teamId:
          type: string
          title: team_id
          description: The ID of the team that the status belongs to.
          x-stainless-terraform-configurability: optional
        statusGroup:
          $ref: '#/components/schemas/svhelp.models.TicketStatusGroup'
          title: status_group
          description: The status group.
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          description: The name of the status.
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: The description of the status.
          x-stainless-terraform-configurability: optional
        isDefault:
          type: boolean
          title: is_default
          description: Whether this is the default status for the team.
          x-stainless-terraform-configurability: computed_optional
        ticketType:
          $ref: '#/components/schemas/svhelp.models.TicketType'
          title: ticket_type
          description: The ticket type this status belongs to.
          x-stainless-terraform-configurability: optional
        scopedId:
          type: string
          title: scoped_id
          description: The team-portable identity of the status.
          readOnly: true
          x-stainless-terraform-configurability: computed
        color:
          type:
            - string
            - 'null'
          title: color
          description: >-
            The color override. If omitted, clients use the status-group
            default.
          x-stainless-terraform-configurability: optional
        isAiSelectable:
          type: boolean
          title: is_ai_selectable
          description: Whether AI status inference can select this status.
          x-stainless-terraform-configurability: computed_optional
        emoji:
          type:
            - string
            - 'null'
          title: emoji
          description: >-
            The emoji override. If omitted, clients use the status-group
            default.
          x-stainless-terraform-configurability: optional
        locked:
          type: boolean
          title: locked
          description: >-
            Whether requester replies are rejected while a ticket is in this
            status.
          x-stainless-terraform-configurability: computed_optional
      title: Status
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````